.TH POCKLINGTON 1 "July 15th, 2022"
.SH NAME
pocklington \- generate a Pocklington primality certificate for a prime number
.SH SYNOPSIS
.B pocklington
.RI [-o\ filename]
.RI prime
.br
.B pocklington
.RI [-o\ filename]
.RI -next\ num
.br
.B pocklington
.RI [-o\ filename]
.RI -size\ s
.br
.B pocklington
.RI [-o\ filename]
.RI -proth\ k\ n
.br
.B pocklington
.RI [-o\ filename]
.RI -lucas\ n
.br
.B pocklington
.RI [-o\ filename]
.RI -mersenne\ n
.br
.B pocklington
.RI [-o\ filename]
.RI -dec\ filename
.br
.SH DESCRIPTION

This tool takes a prime number and (tries to) generate a Pocklington
primality certificate.

.SH OPTIONS
.B \-v
Enable verbose mode
.B \-o <filename>
Prints the proof script in the file named <filename> (otherwise the
name depends on the way the prime was given)
.TP
.B <prime>
A prime number. The default output filename is either prime<prime>.v
or, if it's too long, Prime.v
.TP
.B \-next <num>
Generate a certificate for the next prime number following <num>. The
default output filename is as if the right number had been given.
.TP
.B \-size <s>
Generate a certificate for a prime number with at least <s> decimal
digits. The default output filename is as if the right number had been
given.
.TP
.B \-proth <k> <n>
Generate a certificate for the Proth number k*2^n+1. The default
output filename is as if the right number had been given.
.TP
.B \-lucas <n>
Generate a certificate for the Mersenne number 2^n-1 using Lucas' test
(more efficient). The default output filename is lucas<n>.v.
.TP
.B \-mersenne <n>
Generate a certificate for the Mersenne number 2^n-1 using
Pocklington's test. The default output filename is mersenne<n>.v.
.TP
.B \-dec <filename>
Generate a certificate for the number given in the file <filename> ;
the file should also contain a partial factorization of the
predecessor. The output filename is <filename>.v.
